Bug 654238 - [RFE] get rid of the HTML/XML reports, use a (c)pickle store
[RFE] get rid of the HTML/XML reports, use a (c)pickle store
Status: NEW
Product: Fedora
Classification: Fedora
Component: sos (Show other bugs)
rawhide
All All
low Severity medium
: ---
: ---
Assigned To: Bryn M. Reeves
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 04:52 EST by Pierre Carrier
Modified: 2014-04-01 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Pierre Carrier 2010-11-17 04:52:48 EST
Problem:
- sos should do one thing but well (fast, reliable): gather data.
- Parsing of the data, analysis, reporting, etc. should happen in the chain, in autonomous software components.
- Therefore including XML or HTML specific code, generating a static HTML file in the report is wrong.

Impact of removing all existing reports:
- For any kind of analysis or reporting to be done, a clean record of the executed commands & included files, eventually encountered events (eg files that did not exist), etc. should still be kept.

Proposed solution:
- We can simply use a pickle store.
- The pickle binary format is assured to be compatible between all Python versions that include this module.
- It is a relatively efficient binary format.
- A 100% compatible, very fast C version can be trivially used when available (try import cPikle as pickle except import pickle)
- Spacewalk/Satellite already use cPickle.
Comment 1 Fedora Admin XMLRPC Client 2012-02-25 08:50:31 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-02-27 08:59:42 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Bryn M. Reeves 2014-04-01 07:37:44 EDT
Upstream: https://github.com/sosreport/sosreport/issues/90

Note You need to log in before you can comment on or make changes to this bug.